Milter.Milter Class Reference

A logging but otherwise do nothing Milter base class. More...

Inheritance diagram for Milter.Milter:

## Public Member Functions

def | log (self, msg)
| Provide simple logging to sys.stdout.
def | connect (self, hostname, family, hostaddr)
def | hello (self, hostname)
def | envfrom (self, f, str)
def | envrcpt (self, to, str)
def | header (self, field, value)
def | eoh (self)
def | eom (self)
def | abort (self)
def | close (self)
Public Member Functions inherited from Milter.Base
def | log (self, msg)
| Defined by subclasses to write log messages. More...
def | connect (self, hostname, family, hostaddr)
| Called for each connection to the MTA. More...
def | hello (self, hostname)
| Called when the SMTP client says HELO. More...
def | envfrom (self, f, str)
| Called when the SMTP client says MAIL FROM. More...
def | envrcpt (self, to, str)
| Called when the SMTP client says RCPT TO. More...
def | data (self)
| Called when the SMTP client says DATA. More...
def | header (self, field, value)
| Called for each header field in the message body. More...
def | eoh (self)
| Called at the blank line that terminates the header fields. More...
def | body (self, blk)
| Called to supply the body of the message to the Milter by chunks. More...
def | unknown (self, cmd)
| Called when the SMTP client issues an unknown command. More...
def | eom (self)
| Called at the end of the message body. More...
def | abort (self)
| Called when the connection is abnormally terminated. More...
def | close (self)
| Called when the connection is closed. More...
def | protocol_mask (klass)
| Return mask of SMFIP_N* protocol option bits to clear for this class The @nocallback and @noreply decorators set the `milter_protocol` function attribute to the protocol mask bit to pass to libmilter, causing that callback or its reply to be skipped. More...
def | negotiate (self, opts)
| Negotiate milter protocol options. More...
def | getsymval (self, sym)
| Return the value of an MTA macro. More...
def | setreply (self, rcode, xcode=None, msg=None, ml)
| Set the SMTP reply code and message. More...
def | setsymlist (self, stage, macros)
| Tell the MTA which macro names will be used. More...
def | addheader
| Add a mail header field. More...
def | chgheader (self, field, idx, value)
| Change the value of a mail header field. More...
def | addrcpt
| Add a recipient to the message. More...
def | delrcpt (self, rcpt)
| Delete a recipient from the message. More...
def | replacebody (self, body)
| Replace the message body. More...
def | chgfrom
| Change the SMTP envelope sender address. More...
def | quarantine (self, reason)
| Quarantine the message. More...
def | progress (self)
| Tell the MTA to wait a bit longer. More...

## Detailed Description

A logging but otherwise do nothing Milter base class.

This is included for compatibility with previous versions of pymilter. The logging callbacks are marked @noreply.

## Member Function Documentation

def Milter.Milter.envfrom | ( |  | self,
|  |  | f,
|  |  | str
| ) |  |

    Called to begin each message.
    f -> string             message sender
    str -> tuple    additional ESMTP parameters

References Milter.Base.log().

Referenced by Milter.test.TestBase.feedFile().

The documentation for this class was generated from the following file:

- Milter/__init__.py